Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets.html
Class BehaviorsAddingComponentHandlerWrapper

    java.lang.Object
      javax.faces.view.facelets.TagHandler
          javax.faces.view.facelets.MetaTagHandler
              javax.faces.view.facelets.DelegatingMetaTagHandler
                  javax.faces.view.facelets.ComponentHandler
                      org.richfaces.view.facelets.html.BehaviorsAddingComponentHandlerWrapper

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.view.facelets.ComponentHandler>, javax.faces.view.facelets.FaceletHandler

    public class BehaviorsAddingComponentHandlerWrapper

extends javax.faces.view.facelets.ComponentHandler
implements javax.faces.FacesWrapper<javax.faces.view.facelets.ComponentHandler>

Author:
  Nick Belaevski

Field Summary

Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`delegateFactory`

Fields inherited from class javax.faces.view.facelets.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`BehaviorsAddingComponentHandlerWrapper(javax.faces.view.facelets.ComponentHandler componentHandler)`

Method Summary
`void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`
`void` | `applyNextHandler(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent c)`
`boolean` | `equals(Object obj)`
`javax.faces.view.facelets.TagAttribute` | `getBinding()`
`javax.faces.view.facelets.Tag` | `getTag()`
`javax.faces.view.facelets.TagAttribute` | `getTagAttribute(String localName)`
`String` | `getTagId()`
`javax.faces.view.facelets.ComponentHandler` | `getWrapped()`
`int` | `hashCode()`
`boolean` | `isDisabled(javax.faces.view.facelets.FaceletContext ctx)`
`void` | `onComponentCreated(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent c, javax.faces.component.UIComponent parent)`
`void` | `onComponentPopulated(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent c, javax.faces.component.UIComponent parent)`
`void` | `setAttributes(javax.faces.view.facelets.FaceletContext ctx, Object instance)`
`String` | `toString()`

Methods inherited from class javax.faces.view.facelets.ComponentHandler
`getComponentConfig, getTagHandlerDelegate, isNew`

Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`createMetaRuleset`

Methods inherited from class javax.faces.view.facelets.TagHandler
`getAttribute, getRequiredAttribute`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BehaviorsAddingComponentHandlerWrapper

    public BehaviorsAddingComponentHandlerWrapper(javax.faces.view.facelets.ComponentHandler componentHandler)

Method Detail

### apply

    public void apply(javax.faces.view.facelets.FaceletContext ctx,
                      javax.faces.component.UIComponent parent)
               throws IOException

  Specified by:
    `apply` in interface `javax.faces.view.facelets.FaceletHandler`
  Overrides:
    `apply` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`
  Throws:
    `IOException`

### applyNextHandler

    public void applyNextHandler(javax.faces.view.facelets.FaceletContext ctx,
                                 javax.faces.component.UIComponent c)
                          throws IOException,
                                 javax.faces.FacesException,
                                 javax.el.ELException

  Overrides:
    `applyNextHandler` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`
  Throws:
    `IOException`
    `javax.faces.FacesException`
    `javax.el.ELException`

### getBinding

    public javax.faces.view.facelets.TagAttribute getBinding()

  Overrides:
    `getBinding` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`

### getTag

    public javax.faces.view.facelets.Tag getTag()

  Overrides:
    `getTag` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`

### getTagAttribute

    public javax.faces.view.facelets.TagAttribute getTagAttribute(String localName)

  Overrides:
    `getTagAttribute` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`

### getTagId

    public String getTagId()

  Overrides:
    `getTagId` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `javax.faces.view.facelets.TagHandler`

### isDisabled

    public boolean isDisabled(javax.faces.view.facelets.FaceletContext ctx)

  Overrides:
    `isDisabled` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`

### onComponentCreated

    public void onComponentCreated(javax.faces.view.facelets.FaceletContext ctx,
                                   javax.faces.component.UIComponent c,
                                   javax.faces.component.UIComponent parent)

  Overrides:
    `onComponentCreated` in class `javax.faces.view.facelets.ComponentHandler`

### onComponentPopulated

    public void onComponentPopulated(javax.faces.view.facelets.FaceletContext ctx,
                                     javax.faces.component.UIComponent c,
                                     javax.faces.component.UIComponent parent)

  Overrides:
    `onComponentPopulated` in class `javax.faces.view.facelets.ComponentHandler`

### setAttributes

    public void setAttributes(javax.faces.view.facelets.FaceletContext ctx,
                              Object instance)

  Overrides:
    `setAttributes` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`

### getWrapped

    public javax.faces.view.facelets.ComponentHandler getWrapped()

  Specified by:
    `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.view.facelets.ComponentHandler>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.